"""
Material Detail JSONL Handler
"""
from ...datasource import BaseJsonlHandler, JsonlDataSource
from .sync_node import MaterialDetailSyncNode
from schemas.material.material_detail import MaterialDetailResponse


class MaterialDetailJsonlHandler(BaseJsonlHandler):
    """物资明细 JSONL Handler"""
    def __init__(self, datasource: JsonlDataSource):
        super().__init__(datasource, "material_detail", MaterialDetailSyncNode, MaterialDetailResponse)
